> ## Documentation Index > Fetch the complete documentation index at: https://bunny.net/docs/llms.txt > Use this file to discover all available pages before exploring further. # Delete Container Registry > Deletes a container registry. Returns an error if the registry is currently in use by any applications. ## OpenAPI ````yaml https://api-mc.opsbunny.net/docs/public/swagger.json delete /registries/{registryId} openapi: 3.0.4 info: title: Public API description: 'Public API endpoints for user consumption. Release version: v1.11.1.0' version: '1.0' servers: - url: https://api.bunny.net/mc security: - AccessKey: [] paths: /registries/{registryId}: delete: tags: - ContainerRegistries summary: Delete Container Registry description: >- Deletes a container registry. Returns an error if the registry is currently in use by any applications. operationId: DeleteContainerRegistry parameters: - name: registryId in: path required: true schema: type: integer format: int64 responses: '200': description: Container registry was deleted or conflict returned. content: application/json: schema: $ref: '#/components/schemas/RemoveContainerRegistryResult' '401': description: User is unauthorized. content: application/json: schema: $ref: '#/components/schemas/ProblemDetails' '409': description: Container registry is used. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' '500': description: Unexpected server error. content: application/json: schema: $ref: '#/components/schemas/ErrorDetails' components: schemas: RemoveContainerRegistryResult: type: object properties: status: $ref: '#/components/schemas/RemoveContainerRegistryResponseStatus' applications: type: array items: type: string nullable: true additionalProperties: false ProblemDetails: type: object properties: type: type: string nullable: true title: type: string nullable: true status: type: integer format: int32 nullable: true detail: type: string nullable: true instance: type: string nullable: true additionalProperties: {} ErrorDetails: type: object properties: title: type: string description: A short, human-readable summary of the problem type. readOnly: true status: type: integer description: The HTTP status code. format: int32 readOnly: true detail: type: string description: >- A human-readable explanation specific to this occurrence of the problem. nullable: true readOnly: true instance: type: string description: >- A URI reference that identifies the specific occurrence of the problem. nullable: true readOnly: true errors: type: array items: $ref: '#/components/schemas/ValidationError' description: Additional validation errors for field-specific issues. nullable: true readOnly: true id: type: string description: >- The application ID, returned as an RFC 7807 extension field when relevant (e.g. partial save errors). Matches the "id" field from successful create response for consistency. nullable: true readOnly: true additionalProperties: false description: RFC 7807 Problem Details response model. RemoveContainerRegistryResponseStatus: enum: - notFound - inUse - removed type: string ValidationError: required: - message type: object properties: field: type: string nullable: true message: type: string additionalProperties: false securitySchemes: AccessKey: type: apiKey description: Please enter a valid personal API key. name: AccessKey in: header ```` This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.